Bookings
Create Booking
POST
/
api
/
v1
/
bookings
Create Booking
curl --request POST \
--url https://api.capedigital.co.ke/inventory/api/v1/bookings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lines": [
{
"inventory_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"daily_count": 1,
"duration_type": "WEEKS",
"duration_count": 1,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"rate_card_price": 1,
"base_units": 2,
"unit_label": "<string>",
"price_per_extra_unit": 1,
"is_value_add": false,
"requires_production": false
}
],
"category": "<string>",
"notes": "<string>",
"requires_production": false,
"negotiated_total": 1
}
'import requests
url = "https://api.capedigital.co.ke/inventory/api/v1/bookings"
payload = {
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lines": [
{
"inventory_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"daily_count": 1,
"duration_type": "WEEKS",
"duration_count": 1,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"rate_card_price": 1,
"base_units": 2,
"unit_label": "<string>",
"price_per_extra_unit": 1,
"is_value_add": False,
"requires_production": False
}
],
"category": "<string>",
"notes": "<string>",
"requires_production": False,
"negotiated_total": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lead_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
lines: [
{
inventory_item_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
daily_count: 1,
duration_type: 'WEEKS',
duration_count: 1,
start_date: '2023-12-25',
end_date: '2023-12-25',
rate_card_price: 1,
base_units: 2,
unit_label: '<string>',
price_per_extra_unit: 1,
is_value_add: false,
requires_production: false
}
],
category: '<string>',
notes: '<string>',
requires_production: false,
negotiated_total: 1
})
};
fetch('https://api.capedigital.co.ke/inventory/api/v1/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
⌘I
Create Booking
